OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAF
XCAFDoc

# XCAFDoc_Location Class Reference

`#include <XCAFDoc_Location.hxx>`

## Public Member Functions
Standard_EXPORT | XCAFDoc_Location ()
| class methods =============
Standard_EXPORT void | Set (const TopLoc_Location &Loc)
Standard_EXPORT TopLoc_Location | Get () const
| Returns True if there is a reference on the same label .
Standard_EXPORT const Standard_GUID & | ID () const
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT const Standard_GUID & | GetID ()
static Standard_EXPORT Handle_XCAFDoc_Location | Set (const TDF_Label &label, const TopLoc_Location &Loc)
| Find, or create, a Location attribute and set it's value the Location attribute is returned. //! Location methods =============== .
## Private Attributes
TopLoc_Location | myLocation

## Constructor & Destructor Documentation

Standard_EXPORT XCAFDoc_Location::XCAFDoc_Location | ( |  | ) |

## Member Function Documentation

Standard_EXPORT TopLoc_Location XCAFDoc_Location::Get | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& XCAFDoc_Location::GetID | ( |  | ) | `[static]`

Standard_EXPORT const XCAFDoc_Location::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Standard_GUID& XCAFDoc_Location::ID | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute XCAFDoc_Location::NewEmpty | ( |  | ) | const

Standard_EXPORT void XCAFDoc_Location::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const

Standard_EXPORT void XCAFDoc_Location::Restore | ( | const Handle(TDF_Attribute)& | With | ) |

Standard_EXPORT void XCAFDoc_Location::Set | ( | const TopLoc_Location & | Loc | ) |

static Standard_EXPORT Handle_XCAFDoc_Location XCAFDoc_Location::Set | ( | const TDF_Label & | label,
|  | const TopLoc_Location & | Loc
| ) | `[static]`

## Field Documentation

TopLoc_Location XCAFDoc_Location::myLocation`[private]`

The documentation for this class was generated from the following file:

- XCAFDoc_Location.hxx